import 'package:flutter/material.dart';

class ResponsiveMediaQuery {
  static  MediaQueryData _mediaQueryData=const MediaQueryData();
  static  double screenWidth=0.0;
  static double screenHeight=0.0;
  static double blockSizeHorizontal=0.0;
  static double blockSizeVertical=0.0;
  static double _safeAreaHorizontal=0.0;
  static double _safeAreaVertical=0.0;
  static double horizontalLength=0.0;
  static double verticalLength=0.0;

  void init(BuildContext context) {
    _mediaQueryData = MediaQuery.of(context);
    screenWidth = _mediaQueryData.size.width;
    screenHeight = _mediaQueryData.size.height;
    blockSizeHorizontal = screenWidth / 100;
    blockSizeVertical = screenHeight / 100;
    _safeAreaHorizontal =
        _mediaQueryData.padding.left + _mediaQueryData.padding.right;
    _safeAreaVertical =
        _mediaQueryData.padding.top + _mediaQueryData.padding.bottom;
    horizontalLength = (screenWidth - _safeAreaHorizontal) / 100;
    verticalLength = (screenHeight - _safeAreaVertical) / 100;
  }
}
